class Circle extends Shape {
    private Point center;
    private float radius;
    
    public Circle(Point c, float r) {
        center = new Point(c);
        radius = r;
    }
    public Circle() {
        center = new Point();
        radius = 0;
    }
    
    public float getRadius() { return radius; }
    public Point getCenter() { return center; }
    public float getArea() {
        return (float)(Math.PI * radius * radius);
    }
}
