import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.applet.Applet;
import java.awt.Graphics;

public class AppletDemo extends Applet implements MouseListener {
    StringBuffer messages;

    public void init() {
        messages = new StringBuffer();
        addMouseListener(this);
        addMsg("init()..");
    }
    public void start() {
        addMsg("start()..");
    }
    public void stop() {
        addMsg("stop()..");
    }
    public void destroy() {
        addMsg("destroy()..");
    }

    public void mouseClicked(MouseEvent e) {
        addMsg("mouseClicked...");
    }
    public void mousePressed(MouseEvent e) {
        addMsg("mousePressed...");
    }
    public void mouseReleased(MouseEvent e) {
        addMsg("mouseReleased...");
    }
    public void mouseEntered(MouseEvent e) {
        addMsg("mouseEntered...");
    }
    public void mouseExited(MouseEvent e) {
        addMsg("mouseExited...");
    }

    void addMsg(String s) {
        messages.append(s);
        System.out.println(s);
        repaint();
    }

    public void paint(Graphics g) {
        // Draw a Rectangle around the applet
        g.drawRect(0, 0, getSize().width-1, getSize().height-1);

        // Display the messages in the applet
        g.drawString(messages.toString(), 20, 20);
    }
}
