class Point extends Shape {
    private int x = 0;
    private int y = 0;
    
    public Point() {
    }
    public Point(int nx, int ny) {
        x = nx;
        y = ny;
    }
    public Point(Point p) {
        x = p.x;
        y = p.y;
    }
    
    public void setX(int nx) { x = nx; }
    public void setY(int ny) { y = ny; }
    
    public int getX() { return x; }
    public int getY() { return y; }
    
    public String toString() {
        return "(" + x + "," + y + ")";
    }
}