class Main {
    public static void main( String args[] ) {
        Point a = new Point(20, 20);
        Point b = new Point(40, 40);
        
        System.out.println("a: " + a.toString());
        System.out.println("b: " + b.toString());
        
        // Now create a rectangle and use points "a" and "b" as the corners.
        Rectangle r = new Rectangle(a, b);
        System.out.println("r: " + r.getP1().toString() + "-" + r.getP2().toString());
        
        // Similarly, create a triangle as well.  Notice how the triangle
        // is created by calling "new Point()" and the result of that
        // becomes the parameter in the constructor call.
        Triangle t = new Triangle(new Point(a), new Point(10,50), new Point());
        System.out.println("t: " + t.getP1().toString() + "-"
                                 + t.getP2().toString() + "-"
                                 + t.getP3().toString());
        
        // lab6_4 is to try calling Shape-specific functions for the
        // other shapes to see if it works.
        r.setDrawColor(1);      // If these compile, then "yes", it works.
        t.setDrawPattern(2);
        
        // lab6_5 adds the "getArea()" method to the Rectangle and tests it.
        Rectangle r2 = new Rectangle(-10, -10, 90, 90);
        System.out.println("r.getArea() = " + r.getArea());
        System.out.println("r2.getArea() = " + r2.getArea());
        
        // lab6_6 failed and has been removed.
        
        // lab6_8 requires the attempt to create a Shape...
        Shape s;
        s = new Shape();
    }
}