import java.applet.Applet;
import java.awt.Graphics;
import java.awt.event.MouseListener;
import java.awt.event.MouseEvent;
import java.awt.Font;
import java.awt.Color;

public class Scribble extends Applet implements MouseListener {
    private int last_x;
    private int last_y;
    private boolean firstClick = true;
    private Color red = new Color(255, 0, 0);

    public void paint(Graphics g) {
	g.setFont(new Font("default", Font.BOLD, 36));
	g.drawString("Hello World!", 50, 100);
    }
    public void init() {
	addMouseListener(this);
    }

    public void mousePressed(MouseEvent e) {
	int x = e.getX();
	int y = e.getY();

	Graphics g = getGraphics();
	g.setColor(red);

	if (!firstClick)
	    g.drawLine(last_x, last_y, x, y);
	g.drawOval(x-2, y-2, 4, 4);

	last_x = x;
	last_y = y;
	firstClick = ! firstClick;
    }
    public void mouseReleased(MouseEvent e) { }
    public void mouseClicked(MouseEvent e)  { }
    public void mouseEntered(MouseEvent e)  { }
    public void mouseExited(MouseEvent e)   { }
}
