import java.awt.*;

public class MyScrollbar extends Scrollbar {
    public Dimension getSize() {
	System.out.println("MyScrollbar.getSize() was called");
	return super.getSize();
    }
    public Dimension getMaximumSize() {
	System.out.println("MyScrollbar.getMaximumSize() was called");
	return super.getMaximumSize();
    }
    public Dimension getMinimumSize() {
	System.out.println("MyScrollbar.getMinimumSize() was called");
	return super.getMinimumSize();
    }
    public Dimension getPreferredSize() {
	System.out.println("MyScrollbar.getPreferredSize() was called");
	return super.getPreferredSize();
    }

    // These next two are different!  Be careful when making changes...
    public void setSize(Dimension d) {
	System.out.println("MyScrollbar.setSize(d) was called");
	super.setSize(d);
    }
    public void setSize(int x, int y) {
	System.out.println("MyScrollbar.setSize(x,y) was called");
	super.setSize(x,y);
    }
}
